<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xi="http://www.w3.org/2001/XInclude">
  <!-- Transform rpm-info into new Publican *_Info.xml style document -->

  <xsl:strip-space elements="*" />

  <xsl:output indent="yes" method="xml" version="1.0"
	      omit-xml-declaration="no"
	      doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
	      doctype-system="http://www.docbook.org/xml/4.5/docbookx.dtd" />

  <!-- Assume this is a book unless called otherwise -->
  <xsl:param name="doctype" select="'book'" />
  <!-- Use a dummy document file name if none provided -->
  <xsl:param name="docfilename" select="'FILL_IN_FILE_NAME'" />
  <!-- Use dummy Fedora release number if none provided -->
  <xsl:param name="prodrel" select="'10'" />

  <xsl:template match="/">
    <xsl:element name="{$doctype}info">
      <xsl:attribute name="id">
	<xsl:value-of select="$docfilename" /><xsl:text>-Documentation</xsl:text>
      </xsl:attribute>
      <xsl:element name="title">
	<xsl:value-of select="/rpm-info/title" />
      </xsl:element>
      <xsl:element name="subtitle">
	<xsl:value-of select="/rpm-info/desc" />
      </xsl:element>
      <xsl:element name="productname">
	<xsl:text>Fedora</xsl:text>
      </xsl:element>
      <xsl:element name="productnumber">
	<xsl:value-of select="$prodrel" />
      </xsl:element>
      <xsl:element name="edition">
	<xsl:value-of select="/rpm-info/changelog/revision/@number" />
      </xsl:element>
      <xsl:element name="pubsnumber">
	<xsl:text>0</xsl:text>
      </xsl:element>
      <xsl:element name="abstract">
	<xsl:element name="para">
	  <xsl:text>Short overview and subject. Limit to one
	  paragraph. This paragraph will appear in the book's front
	  matter and in the %description field of the document's RPM
	  spec file.</xsl:text>
	</xsl:element>
      </xsl:element>
      <xsl:element name="corpauthor">
	<xsl:element name="inlinemediaobject">
	  <xsl:element name="imageobject">
	    <xsl:element name="imagedata">
	      <xsl:attribute name="format">
		<xsl:text>SVG</xsl:text>
	      </xsl:attribute>
	      <xsl:attribute name="fileref">
		<xsl:text>Common_Content/images/title_logo.svg</xsl:text>
	      </xsl:attribute>
	    </xsl:element>
	  </xsl:element>
	  <xsl:element name="textobject">
	    <xsl:element name="phrase">
	      <xsl:text>Logo</xsl:text>
	    </xsl:element>
	  </xsl:element>
	</xsl:element>
      </xsl:element>
      <xsl:element name="copyright">
	<xsl:element name="year">
	  <xsl:text disable-output-escaping="yes">&amp;YEAR;</xsl:text>
	</xsl:element>
	<xsl:element name="holder">
	  <xsl:text disable-output-escaping="yes">&amp;HOLDER;</xsl:text>
	</xsl:element>
      </xsl:element>
      <xsl:element name="xi:include">
	<xsl:attribute name="href">
	  <xsl:text>Common_Content/Legal_Notice.xml</xsl:text>
	</xsl:attribute>
      </xsl:element>
      <xsl:element name="xi:include">
	<xsl:attribute name="href">
	  <xsl:text>Author_Group.xml</xsl:text>
	</xsl:attribute>
      </xsl:element>
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>
